Install Microsoft .Net 3.5 and MPI's

.net
mpi
dotnet
windows
mpich2

#1

Turning on .Net 3.5 feature and install MPI on Windows.

On a Windows computer, where Lumerical’s product installation is not able to install DotNet 3.5 and Microsoft MPI automatically, or you get an installation error.

A work around is to manually enable and install these components and the software.

Note:

On Windows 8 and 10 machines, .Net 3.5 is going to be installed as part of Windows update. If you are logged into your domain or active directory, please check with your IT department.

Install .Net 3.5 by turning this feature ON from Control Panel.

Control Panel => Programs => Programs and Features => Turn windows feature on and off`,

Install Microsoft MPI

Install MPICH2

Install Intel MPI

Install the Product

  • Finally, if you need to install the Product Design Software, run the Installation file, [Product]_data.msi, from the installation folder.

Note:

DEVICE, requires Microsoft Visual C++ 2015 Redistributable.


When all these are installed, you should be able to run the software.


MPI not installed on the local machine
CPI test failed: unknown MPI error.
MSMPI 或者 Engine出错的处理
Error in FDTD
I can't install FDTD solutions
Unable to run simulations
Device Error "...ended prematurely and may have crashed. exit code 0xc0000417"
Error in DEVICE when I want to run the simulation
Engine error - license not configured
Engine Error - [Resolved]
Error after upgrading FDTD Solutions to 2019a R1
Error when oled 2d simulation after update new version 2019a R1
Can not run simulation on Windows
Install Microsoft .Net feature on windows systems
Engine Error for S parameter sweep in Mode Solution
How to fix engine errors on Windows
Engine error when tried to run simulation in MODE
reinstalling lumerical/OS
计算中出现engine error的现象